Bug 639529 - Review Request: apache-commons-pool - rename of jakarta-commons-pool
Review Request: apache-commons-pool - rename of jakarta-commons-pool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: JakartaCommonsRename
  Show dependency treegraph
 
Reported: 2010-10-02 02:30 EDT by Spike
Modified: 2010-10-25 16:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-25 16:06:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sochotni: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Spike 2010-10-02 02:30:04 EDT
This is a re-review of existing package!

Spec URL: http://spike.fedorapeople.org/apache-commons-pool/apache-commons-pool.spec
SRPM URL: http://spike.fedorapeople.org/apache-commons-pool/apache-commons-pool-1.5.5-1.fc13.src.rpm

Description: The goal of Pool package is it to create and maintain an object (instance) pooling package to be distributed under the ASF license. The package should support a variety of pool implementations, but encourage support of an interface that makes these implementations interchangeable.
Comment 1 Stanislav Ochotnicky 2010-10-05 07:53:45 EDT
I'll review this
Comment 2 Stanislav Ochotnicky 2010-10-05 11:27:36 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:
$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*rpm
apache-commons-pool.noarch: W: obsolete-not-provided jakarta-commons-pool-tomcat5
apache-commons-pool.noarch: W: obsolete-not-provided jakarta-commons-pool-manual
apache-commons-pool.noarch: W: non-conffile-in-etc /etc/maven/fragments/apache-commons-pool
apache-commons-pool-javadoc.noarch: W: obsolete-not-provided jakarta-commons-pool-javadoc
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

tomcat5 subpackage is required by tomcat5 and tomcat6-lib. If we are
to get rid of it we need replacement. 

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 1a71f00c8ab265efae3724295636f2e0
MD5SUM upstream package: 1a71f00c8ab265efae3724295636f2e0
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[!]  Package consistently uses macros.
watch for RPM_BUILD_ROOT and %buildroot

[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven2.jpp.depmap.file=*" explain why it's needed in a comment
[x]  Package uses %update_maven_depmap in %post/%postun
[x]  Packages have Requires(post) and Requires(postun) on jpackage-utils (for %update_maven_depmap macro)

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Javadocs are placed in %{_javadocdir}/%{name} with %{_javadocdir}/%{name}-%{version} symlink
[-]  If package contains pom.xml files install it (including depmaps) even when building with ant
[-]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on: fedora-rawhide-x86_64


=== Issues ===
1. We need to find out if tomcat5 subpackage can be replaced
2. Fix those macros to be the same
Comment 3 Spike 2010-10-05 12:12:18 EDT
> === Issues ===
> 1. We need to find out if tomcat5 subpackage can be replaced

Tomcat6 builds fine with apache-commons-pool jarfile instead of the old tomcat5 subpackage jarfile. Current and former maintainers of tomcat6 (dknox@redhat.com, dwalluck@redhat.com) are informed.

> 2. Fix those macros to be the same

Done. New Spec and SRPM:
http://spike.fedorapeople.org/apache-commons-pool/apache-commons-pool.spec
http://spike.fedorapeople.org/apache-commons-pool/apache-commons-pool-1.5.5-2.fc13.src.rpm
Comment 4 Stanislav Ochotnicky 2010-10-06 04:32:59 EDT
Package is good now. Please coordinate with tomcat maintainers so that rawhide won't be broken for too long after you create new packages.
Comment 6 Spike 2010-10-18 11:05:30 EDT
New Package SCM Request
=======================
Package Name: apache-commons-pool
Short Description: Apache Commons Pool Package
Owners: spike
Branches: F-14
InitialCC:
Comment 7 Kevin Fenzi 2010-10-19 00:00:35 EDT
Git done (by process-git-requests).
Comment 8 Spike 2010-10-25 16:06:05 EDT
Package built, closing.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2553019

Note You need to log in before you can comment on or make changes to this bug.